## UIM Card Status indication

UIM Card Status indication

## Functions

QmiIndicationUimCardStatusOutput * | qmi_indication_uim_card_status_output_ref ()
void | qmi_indication_uim_card_status_output_unref ()
gboolean | qmi_indication_uim_card_status_output_get_card_status ()

## Types and Values

| QmiIndicationUimCardStatusOutput
| QmiIndicationUimCardStatusOutputCardStatusCardsElementApplicationsElement
| QmiIndicationUimCardStatusOutputCardStatusCardsElement

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationUimCardStatusOutput

## Description

## Functions

### qmi_indication_uim_card_status_output_ref ()

    QmiIndicationUimCardStatusOutput *
    qmi_indication_uim_card_status_output_ref
                                   (QmiIndicationUimCardStatusOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationUimCardStatusOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_indication_uim_card_status_output_unref ()

    void
    qmi_indication_uim_card_status_output_unref
                                   (QmiIndicationUimCardStatusOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationUimCardStatusOutput. |

Since: 1.22

### qmi_indication_uim_card_status_output_get_card_status ()

    gboolean
    qmi_indication_uim_card_status_output_get_card_status
                                   (QmiIndicationUimCardStatusOutput *self,
                                    guint16 *value_card_status_index_gw_primary,
                                    guint16 *value_card_status_index_1x_primary,
                                    guint16 *value_card_status_index_gw_secondary,
                                    guint16 *value_card_status_index_1x_secondary,
                                    GArray **value_card_status_cards,
                                    GError **error);

Get the 'Card Status' field from `self` .

#### Parameters

self | a QmiIndicationUimCardStatusOutput. |
value_card_status_index_gw_primary | a placeholder for the output guint16, or `NULL` if not required. |
value_card_status_index_1x_primary | a placeholder for the output guint16, or `NULL` if not required. |
value_card_status_index_gw_secondary | a placeholder for the output guint16, or `NULL` if not required. |
value_card_status_index_1x_secondary | a placeholder for the output guint16, or `NULL` if not required. |
value_card_status_cards | a placeholder for the output GArray of QmiIndicationUimCardStatusOutputCardStatusCardsElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

## Types and Values

### QmiIndicationUimCardStatusOutput

    typedef struct _QmiIndicationUimCardStatusOutput QmiIndicationUimCardStatusOutput;

The QmiIndicationUimCardStatusOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiIndicationUimCardStatusOutputCardStatusCardsElementApplicationsElement

    typedef struct {
        QmiUimCardApplicationType type;
        QmiUimCardApplicationState state;
        QmiUimCardApplicationPersonalizationState personalization_state;
        QmiUimCardApplicationPersonalizationFeature personalization_feature;
        guint8 personalization_retries;
        guint8 personalization_unblock_retries;
        GArray *application_identifier_value;
        gboolean upin_replaces_pin1;
        QmiUimPinState pin1_state;
        guint8 pin1_retries;
        guint8 puk1_retries;
        QmiUimPinState pin2_state;
        guint8 pin2_retries;
        guint8 puk2_retries;
    } QmiIndicationUimCardStatusOutputCardStatusCardsElementApplicationsElement;

A QmiIndicationUimCardStatusOutputCardStatusCardsElementApplicationsElement struct.

#### Members

QmiUimCardApplicationType `type`; | a QmiUimCardApplicationType. |
QmiUimCardApplicationState `state`; | a QmiUimCardApplicationState. |
QmiUimCardApplicationPersonalizationState `personalization_state`; | a QmiUimCardApplicationPersonalizationState. |
QmiUimCardApplicationPersonalizationFeature `personalization_feature`; | a QmiUimCardApplicationPersonalizationFeature. |
guint8 `personalization_retries`; | a guint8. |
guint8 `personalization_unblock_retries`; | a guint8. |
GArray *`application_identifier_value`; | a GArray of guint8 elements. |
gboolean `upin_replaces_pin1`; | a gboolean. |
QmiUimPinState `pin1_state`; | a QmiUimPinState. |
guint8 `pin1_retries`; | a guint8. |
guint8 `puk1_retries`; | a guint8. |
QmiUimPinState `pin2_state`; | a QmiUimPinState. |
guint8 `pin2_retries`; | a guint8. |
guint8 `puk2_retries`; | a guint8. |

Since: 1.22

### QmiIndicationUimCardStatusOutputCardStatusCardsElement

    typedef struct {
        QmiUimCardState card_state;
        QmiUimPinState upin_state;
        guint8 upin_retries;
        guint8 upuk_retries;
        QmiUimCardError error_code;
        GArray *applications;
    } QmiIndicationUimCardStatusOutputCardStatusCardsElement;

A QmiIndicationUimCardStatusOutputCardStatusCardsElement struct.

#### Members

QmiUimCardState `card_state`; | a QmiUimCardState. |
QmiUimPinState `upin_state`; | a QmiUimPinState. |
guint8 `upin_retries`; | a guint8. |
guint8 `upuk_retries`; | a guint8. |
QmiUimCardError `error_code`; | a QmiUimCardError. |
GArray *`applications`; | a GArray of QmiIndicationUimCardStatusOutputCardStatusCardsElementApplicationsElement elements. |

Since: 1.22